(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/TestScene.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'bd475qM2G1EI7oef1JG4mxN', 'TestScene', __filename);
// TestScene.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        testNode: cc.Node,
        spineNode: cc.Node
    },

    onLoad: function onLoad() {
        this.mIdx = 0;
    },

    //释放spine
    releaseClick: function releaseClick() {
        var deps = cc.loader.getDependsRecursively("201100", sp.SkeletonData);
        cc.loader.releaseRes("201100", sp.SkeletonData);
        cc.loader.release(deps);
        cc.sys.garbageCollect();
    },
    createClick: function createClick() {
        this.removeNode();
        //构建普通节点的spine
        this.createSpine("201100", this.testNode);
    },
    createSpine: function createSpine(url, parent) {
        var node = cc.instantiate(this.spineNode);
        node.active = true;
        node.parent = parent;
        cc.loader.loadRes(url, sp.SkeletonData, function (err, skeletonData) {
            var skeleton = node.getComponent(sp.Skeleton);
            skeleton.skeletonData = skeletonData;
            skeleton.animation = "moved";
            this.mIdx = 0;
        }.bind(this));
    },


    //移除节点
    removeNode: function removeNode() {
        var node = this.testNode.children[0];
        if (node) {
            node.destroy();
        }
    },


    //
    onAction: function onAction() {
        var aniNames = ["moved", "mover", "moverd", "movet", "movert", "standd", "standr", "standrd", "standt", "standrt"];
        var node = this.testNode.children[0];
        if (node) {
            var skeleton = node.getComponent(sp.Skeleton);
            this.mIdx++;
            if (this.mIdx > aniNames.length) {
                this.mIdx = 0;
            }
            skeleton.animation = aniNames[this.mIdx];
        }
    }
}
//如果需要接收指定服务端数据的通知 则使用这个方法
//onRecvCmdAction(key ,data){},
// start() {this._super();},

// update (dt) {this._super();},
);

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=TestScene.js.map
        